Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 190090 - Review Request: ocrad
Summary: Review Request: ocrad
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ed Hill
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-04-27 13:55 UTC by Krzysztof Kosz
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-31 18:18:47 UTC


Attachments (Terms of Use)

Description Krzysztof Kosz 2006-04-27 13:55:04 UTC
Spec URL: <http://www.clu.cl.opoka.org.pl/test/ocrad.spec>
SRPM URL: <http://www.clu.cl.opoka.org.pl/test/ocrad-0.15-1.src.rpm>
Description: <GNU Ocrad - Optical Character Recognition program.  Reads pnm file(s), or standard input, and sends text to standard output. Kooka (part of the kdegraphics package) can run Ocrad on the scanned image producing text from the scanned image, it also allows to run spellchecker (aspell) on the scanned text highlighting misrecognized words on the image. Recognition results are very promising, with addition of this package Fedora gains functionality to perform optical character recognition. Attached screenshot from recognition process: http://www.clu.cl.opoka.org.pl/test/kooka-ocrad.png>

Comment 1 Ed Hill 2006-05-28 19:34:15 UTC
Hi Krzysztof, here are a few items.  Its not a complete review, its just 
what I could look at in the free time I had today:

good:
 + source matches upstream
 + license is OK 
 + no warnings or errors from rpmlint
 + no *.la files
 + no shared libs
 + appears to have propoer handling of info files

needswork:
 - the license file should be included in %doc
 - the INSTALL file should not be in %doc
 - unfortunately, the buildsystem (configure && make) for ocrad is 
     very minimal (its not based upon the Gnu autotools) and does 
     not honor ${RPM_OPT_FLAGS}.  Please patch Makefile.in so that 
     you can use something like:

        export CXXFLAGS="$RPM_OPT_FLAGS"
        make

     in the spec-file

Comment 2 Ed Hill 2006-05-28 19:37:16 UTC
Oh, I meant to ask that you please create an SRPM that fixes the above 
items and I'll then do a full review.

Comment 3 Jason Tibbitts 2007-05-24 21:20:39 UTC
So, it's been almost a full year since the last comment on this ticket.  Is
anything happening here?  I will close this ticket soon if there is no response
from the submitter.

Comment 4 Mamoru TASAKA 2007-05-28 13:59:37 UTC
I will close this bug if no response is received within
a week from comment 3 (i.e. by 5/31)

Comment 5 Mamoru TASAKA 2007-05-31 18:18:47 UTC
Closing as NOTABUG.

Please file a new review request if someone wants to
repackage this software. Thank you!


Note You need to log in before you can comment on or make changes to this bug.